Upgrading from Python 27

550
1
Jump to solution
05-23-2022 06:24 AM
AliceWilson
New Contributor III

We are using ArcMap on our Enterprise servers for Portal.  Our IT Department is saying using Python 27 is a huge security threat and we need to update to a newer version - wondering what others are doing to address this issue?

0 Kudos
1 Solution

Accepted Solutions
JonEmch
Esri Regular Contributor

Hello there Alice,

   One reason why ArcMap is being sunset is due to its heavy dependency on Python 2.7. As such, our recommendation at this time is to migrate users to ArcGIS Pro, which uses Python 3.x libraries.

   As a consequence of running services published from ArcMap, ArcGIS Enterprise (Pre 10.9.1) also contains this runtime. At 10.9.1 we introduced an optional mechanic to remove the Python 2.7 libraries from ArcGIS Enterprise in its entirety at the cost of being unable to publish / use services from ArcMap. At ArcGIS Enterprise 11, Python 2.7 will not be present within ArcGIS Enterprise at all. This is a rather large topic, so I'm going to link our blog on this here:

https://www.esri.com/arcgis-blog/products/arcgis-enterprise/announcements/removal-of-arcmap-based-ru...

 

TLDR: Migrating to ArcGIS Pro and upgrading to ArcGIS Enterprise 10.9.1 with ArcMap Runtime support removed will resolve the Python 2.7 issues.

Keep on keeping on!

View solution in original post

1 Reply
JonEmch
Esri Regular Contributor

Hello there Alice,

   One reason why ArcMap is being sunset is due to its heavy dependency on Python 2.7. As such, our recommendation at this time is to migrate users to ArcGIS Pro, which uses Python 3.x libraries.

   As a consequence of running services published from ArcMap, ArcGIS Enterprise (Pre 10.9.1) also contains this runtime. At 10.9.1 we introduced an optional mechanic to remove the Python 2.7 libraries from ArcGIS Enterprise in its entirety at the cost of being unable to publish / use services from ArcMap. At ArcGIS Enterprise 11, Python 2.7 will not be present within ArcGIS Enterprise at all. This is a rather large topic, so I'm going to link our blog on this here:

https://www.esri.com/arcgis-blog/products/arcgis-enterprise/announcements/removal-of-arcmap-based-ru...

 

TLDR: Migrating to ArcGIS Pro and upgrading to ArcGIS Enterprise 10.9.1 with ArcMap Runtime support removed will resolve the Python 2.7 issues.

Keep on keeping on!